Allow editing of edit summaries after the fact
Closed, DeclinedPublic

Description

Author: bugs

Description:
It would be nice for normal users to be able to change the text of an edit summary after it's saved. Obvious uses:

  • correcting typos (eg redlinks)
  • retracting offensive remarks
  • improving poor or unintentionally misleading summaries

Downsides? There would be some loss of traceability, if one user accuses another of having said something offensive in an edit summary, which is now not apparent. Perhaps all changes could be written to an admin-viewable log in case of disputes.

Sorry if it's been suggested before, I did look.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz10105.
bzimport created this task.Via LegacyJun 2 2007, 2:35 AM
bzimport added a comment.Via ConduitJun 30 2007, 7:53 AM

fearow00 wrote:

From what I can see, this would provide a few issues, such as we would need to keep a history of the history, which seems unnecessary. Either that or restrict changing to sysops or original user only, and have a link next saying (changed X times). But this would cause a few history issues.

bzimport added a comment.Via ConduitJun 30 2007, 7:21 PM

bugs wrote:

What 'issues'? It's just an edit summary. What's the worst thing that could possibly happen if a rogue user changed their edit summary after the fact, and that change wasn't widely visible? Is that worst case scenario so bad that it's worth denying all the best-case scenarios from happening?

[Trivial alternative simple solution: New edit summary is prepended to old edit summary, thusly:

Fixed typos and created a new section, deleted three refs. [was: Created a new section, killed stupid refs]

]

bzimport added a comment.Via ConduitJun 30 2007, 8:15 PM

dennispallett+mwbugzilla wrote:

Perhaps a new log type could be created for editing the edit summary? For example, when User:Joe changes his edit summary, the following log entry is added:

[ date ] User:Joe changes edit summary from 'old summary' to 'new summary' on article 'Foo'.

This would avoid having to keep a history of the history, but still provide traceability.

bzimport added a comment.Via ConduitJun 30 2007, 10:11 PM

robchur wrote:

What *real* usage is there for changing edit summaries after the fact? The edit summary is never guaranteed to be accurate, as with any of the other properties, such as "minor edit" - if you want to know exactly what was changed, you view a diff of the edit.

This seems to me to add needless complexity, especially in terms of UI complexity, for the sake of appeasing pedantry. Strongly inclined to WONTFIX unless a solid rationale is presented.

bzimport added a comment.Via ConduitJul 1 2007, 2:55 AM

ayg wrote:

I agree with Rob. The issues this might possibly fix are too minor to merit the added complexity. In the case of seriously problematic edit summaries, of course, the edit can simply be deleted or oversighted. Minor typos can be ignored, and other "changes" can be submitted as null edits, or the user can request that an admin delete the edit and allow him to resubmit it with a better summary.

jayvdb added a comment.Via ConduitNov 14 2014, 2:17 AM

Unrelated to changing the original summary in the database, worth noting that https://www.mediawiki.org/wiki/Extension:RevisionCommentSupplement may be sufficient for some MediaWiki users needs wrt altering editing summaries.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.